Page MenuHomePhabricator

Store map data as pages on Commons
Closed, ResolvedPublic

Description

Similar to T120452, we need to enable GeoJson storage on Commons.

The data will be stored as Data:<anything>.geojson (extension name bikeshedding is welcome: .map, .karta, ...). Data will be stored as geojson, but it will not contain location/zoom/map size. Each wiki will be able to reference it via the <mapframe> or <maplink> tags.

This data should not be too big (as it gets downloaded to the client). so the 2MB limit should be sufficient. For larger datasets, we will need to implement Maps (Kartotherian) support, just like we did for the OSM data.

Event Timeline

Yurik created this task.Jun 13 2016, 6:07 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJun 13 2016, 6:07 PM
Restricted Application added subscribers: Zppix, Steinsplitter, Aklapper. · View Herald Transcript
Yurik moved this task from Styling & datasources to Maps-data on the Maps board.Sep 22 2016, 7:45 PM
Yurik removed a project: Maps.Dec 15 2016, 4:40 AM
Mholloway closed this task as Resolved.Nov 6 2018, 3:53 PM
Mholloway claimed this task.
Mholloway added a subscriber: Mholloway.

I think this is resolved (there are definitely .map pages on Commons), but please reopen if I'm mistaken.